#
# Spec file for GSview 4.0
#
# 4.0 release
#  2001-06-02 Russell Lang <gsview@ghostgum.com.au>
#
Summary: PostScript and PDF previewer
Name: gsview
Version: 4.0
Release: 1
Copyright: Aladdin Free Public License, Ghostgum Software Pty Ltd
Group: Applications/Graphics
Source: ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/ghostgum/gsv40src.zip
URL: http://www.cs.wisc.edu/~ghost/gsview/
#Icon: gsview.gif
#Distribution: Unknown
Vendor: Ghostgum Software Pty Ltd
Packager: Russell Lang <gsview@ghostgum.com.au>
Requires: ghostscript >= 7.00
BuildRoot: /var/tmp/gsview-root

%description
GSview is a graphical interface for Ghostscript.
Ghostscript is an interpreter for the PostScript page 
description language used by laser printers.
For documents following the Adobe PostScript Document Structuring 
Conventions, GSview allows selected pages to be viewed or printed.
GSview requires Ghostscript 7.00 - 7.99.

Includes epstool for creating of extracting preview bitmaps
in EPS files.

Includes pstotext for extracting text from PostScript and PDF files.

%prep
# remove old directory
rm -rf $RPM_BUILD_DIR/gsview-%{version}
mkdir $RPM_BUILD_DIR/gsview-%{version}
#
# unpack main sources
cd $RPM_BUILD_DIR/gsview-%{version}
unzip -a $RPM_SOURCE_DIR/gsv40src.zip
unzip -a epstool.zip
unzip -a pstotext.zip
unzip -a src.zip

%build
cd $RPM_BUILD_DIR/gsview-%{version}/src
make -f gvx.mak RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man}
mkdir -p $RPM_BUILD_ROOT/usr/share/doc
mkdir -p $RPM_BUILD_ROOT/etc/gsview
cd $RPM_BUILD_DIR/gsview-%{version}/src
make -f gvx.mak prefix=$RPM_BUILD_ROOT install
strip $RPM_BUILD_ROOT/usr/bin/gsview
strip $RPM_BUILD_ROOT/usr/bin/pstotext
strip $RPM_BUILD_ROOT/usr/bin/epstool


%files
%defattr(-, root, root)
%docdir /usr/share/doc/gsview-%{version}
/usr/share/doc/gsview-%{version}
%dir /etc/gsview
%config /etc/gsview/printer.ini
/usr/bin/epstool
/usr/bin/gsview
/usr/bin/gsview-help
/usr/bin/pstotext
%dir /usr/man
%dir /usr/man/man1
# Something is automatically compressing this file between the 
# time we install it and the time it gets added to the RPM.
/usr/man/man1/pstotext.1.gz

%changelog
* Sat Jun 02 2001 Russell Lang <gsview@ghostgum.com.au>
- GSview 4.0 release
  Mark printer.ini an config file and the documentation files
  as such.  Make sure only gsview files are included in the rpm.
* Fri Dec 29 2000 Russell Lang <gsview@ghostgum.com.au>
- GSview 3.6 release
* Sat Dec 16 2000 Russell Lang <gsview@ghostgum.com.au>
- GSview 3.5 release
* Fri Dec 08 2000 Russell Lang <gsview@ghostgum.com.au>
- GSview 3.22-beta release
- Why can't we use normal dates "08 Dec 2000" or "2000-12-08"
  instead of backward "Month Day Year"?
